Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -4689,16 +7841,375 @@
     187    ColorTempUnknown15?                  int16s
     188    ColorCalib?                          Canon ColorCalib
+    251    AverageBlackLevel                    int16u[4]
     404    RawMeasuredRGGB                      int32u[4]
+    479    PerChannelBlackLevel                 int16u[4]
+    483    NormalWhiteLevel                     int16u
+    484    SpecularWhiteLevel                   int16u
+    485    LinearityUpperMargin                 int16u
+
+=head3 Canon ColorData7 Tags
+
+These tags are used by the EOS 1DX, 5DmkIII, 6D, 100D, 650D, 700D, M and 7DmkII.
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    ColorDataVersion                     int16s
+     63    WB_RGGBLevelsAsShot                  int16s[4]
+     67    ColorTempAsShot                      int16s
+     68    WB_RGGBLevelsAuto                    int16s[4]
+     72    ColorTempAuto                        int16s
+     73    WB_RGGBLevelsMeasured                int16s[4]
+     77    ColorTempMeasured                    int16s
+     78    WB_RGGBLevelsUnknown?                int16s[4]
+     82    ColorTempUnknown?                    int16s
+     83    WB_RGGBLevelsUnknown2?               int16s[4]
+     87    ColorTempUnknown2?                   int16s
+     88    WB_RGGBLevelsUnknown3?               int16s[4]
+     92    ColorTempUnknown3?                   int16s
+     93    WB_RGGBLevelsUnknown4?               int16s[4]
+     97    ColorTempUnknown4?                   int16s
+     98    WB_RGGBLevelsUnknown5?               int16s[4]
+    102    ColorTempUnknown5?                   int16s
+    103    WB_RGGBLevelsUnknown6?               int16s[4]
+    107    ColorTempUnknown6?                   int16s
+    108    WB_RGGBLevelsUnknown7?               int16s[4]
+    112    ColorTempUnknown7?                   int16s
+    113    WB_RGGBLevelsUnknown8?               int16s[4]
+    117    ColorTempUnknown8?                   int16s
+    118    WB_RGGBLevelsUnknown9?               int16s[4]
+    122    ColorTempUnknown9?                   int16s
+    123    WB_RGGBLevelsUnknown10?              int16s[4]
+    127    ColorTempUnknown10?                  int16s
+    128    WB_RGGBLevelsDaylight                int16s[4]
+    132    ColorTempDaylight                    int16s
+    133    WB_RGGBLevelsShade                   int16s[4]
+    137    ColorTempShade                       int16s
+    138    WB_RGGBLevelsCloudy                  int16s[4]
+    142    ColorTempCloudy                      int16s
+    143    WB_RGGBLevelsTungsten                int16s[4]
+    147    ColorTempTungsten                    int16s
+    148    WB_RGGBLevelsFluorescent             int16s[4]
+    152    ColorTempFluorescent                 int16s
+    153    WB_RGGBLevelsKelvin                  int16s[4]
+    157    ColorTempKelvin                      int16s
+    158    WB_RGGBLevelsFlash                   int16s[4]
+    162    ColorTempFlash                       int16s
+    163    WB_RGGBLevelsUnknown11?              int16s[4]
+    167    ColorTempUnknown11?                  int16s
+    168    WB_RGGBLevelsUnknown12?              int16s[4]
+    172    ColorTempUnknown12?                  int16s
+    173    WB_RGGBLevelsUnknown13?              int16s[4]
+    177    ColorTempUnknown13?                  int16s
+    178    WB_RGGBLevelsUnknown14?              int16s[4]
+    182    ColorTempUnknown14?                  int16s
+    183    WB_RGGBLevelsUnknown15?              int16s[4]
+    187    ColorTempUnknown15?                  int16s
+    188    WB_RGGBLevelsUnknown16?              int16s[4]
+    192    ColorTempUnknown16?                  int16s
+    193    WB_RGGBLevelsUnknown17?              int16s[4]
+    197    ColorTempUnknown17?                  int16s
+    198    WB_RGGBLevelsUnknown18?              int16s[4]
+    202    ColorTempUnknown18?                  int16s
+    203    WB_RGGBLevelsUnknown19?              int16s[4]
+    207    ColorTempUnknown19?                  int16s
+    208    WB_RGGBLevelsUnknown20?              int16s[4]
+    212    ColorTempUnknown20?                  int16s
+    213    ColorCalib?                          Canon ColorCalib
+    276    AverageBlackLevel                    int16u[4]
+    429    RawMeasuredRGGB                      int32u[4]
+    504    PerChannelBlackLevel                 int16u[4]
+    508    NormalWhiteLevel                     int16u
+    509    SpecularWhiteLevel                   int16u
+    510    LinearityUpperMargin                 int16u
+    619    RawMeasuredRGGB                      int32u[4]
+    728    PerChannelBlackLevel                 int16u[4]
+    732    NormalWhiteLevel                     int16u
+    733    SpecularWhiteLevel                   int16u
+    734    LinearityUpperMargin                 int16u
+
+=head3 Canon ColorData8 Tags
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    ColorDataVersion                     int16s
+     63    WB_RGGBLevelsAsShot                  int16s[4]
+     67    ColorTempAsShot                      int16s
+     68    WB_RGGBLevelsAuto                    int16s[4]
+     72    ColorTempAuto                        int16s
+     73    WB_RGGBLevelsMeasured                int16s[4]
+     77    ColorTempMeasured                    int16s
+     78    WB_RGGBLevelsUnknown?                int16s[4]
+     82    ColorTempUnknown?                    int16s
+     83    WB_RGGBLevelsUnknown2?               int16s[4]
+     87    ColorTempUnknown2?                   int16s
+     88    WB_RGGBLevelsUnknown3?               int16s[4]
+     92    ColorTempUnknown3?                   int16s
+     93    WB_RGGBLevelsUnknown4?               int16s[4]
+     97    ColorTempUnknown4?                   int16s
+     98    WB_RGGBLevelsUnknown5?               int16s[4]
+    102    ColorTempUnknown5?                   int16s
+    103    WB_RGGBLevelsUnknown6?               int16s[4]
+    107    ColorTempUnknown6?                   int16s
+    108    WB_RGGBLevelsUnknown7?               int16s[4]
+    112    ColorTempUnknown7?                   int16s
+    113    WB_RGGBLevelsUnknown8?               int16s[4]
+    117    ColorTempUnknown8?                   int16s
+    118    WB_RGGBLevelsUnknown9?               int16s[4]
+    122    ColorTempUnknown9?                   int16s
+    123    WB_RGGBLevelsUnknown10?              int16s[4]
+    127    ColorTempUnknown10?                  int16s
+    128    WB_RGGBLevelsUnknown11?              int16s[4]
+    132    ColorTempUnknown11?                  int16s
+    133    WB_RGGBLevelsDaylight                int16s[4]
+    137    ColorTempDaylight                    int16s
+    138    WB_RGGBLevelsShade                   int16s[4]
+    142    ColorTempShade                       int16s
+    143    WB_RGGBLevelsCloudy                  int16s[4]
+    147    ColorTempCloudy                      int16s
+    148    WB_RGGBLevelsTungsten                int16s[4]
+    152    ColorTempTungsten                    int16s
+    153    WB_RGGBLevelsFluorescent             int16s[4]
+    157    ColorTempFluorescent                 int16s
+    158    WB_RGGBLevelsKelvin                  int16s[4]
+    162    ColorTempKelvin                      int16s
+    163    WB_RGGBLevelsFlash                   int16s[4]
+    167    ColorTempFlash                       int16s
+    168    WB_RGGBLevelsUnknown12?              int16s[4]
+    172    ColorTempUnknown12?                  int16s
+    173    WB_RGGBLevelsUnknown13?              int16s[4]
+    177    ColorTempUnknown13?                  int16s
+    178    WB_RGGBLevelsUnknown14?              int16s[4]
+    182    ColorTempUnknown14?                  int16s
+    183    WB_RGGBLevelsUnknown15?              int16s[4]
+    187    ColorTempUnknown15?                  int16s
+    188    WB_RGGBLevelsUnknown16?              int16s[4]
+    192    ColorTempUnknown16?                  int16s
+    193    WB_RGGBLevelsUnknown17?              int16s[4]
+    197    ColorTempUnknown17?                  int16s
+    198    WB_RGGBLevelsUnknown18?              int16s[4]
+    202    ColorTempUnknown18?                  int16s
+    203    WB_RGGBLevelsUnknown19?              int16s[4]
+    207    ColorTempUnknown19?                  int16s
+    208    WB_RGGBLevelsUnknown20?              int16s[4]
+    212    ColorTempUnknown20?                  int16s
+    213    WB_RGGBLevelsUnknown21?              int16s[4]
+    217    ColorTempUnknown21?                  int16s
+    218    WB_RGGBLevelsUnknown22?              int16s[4]
+    222    ColorTempUnknown22?                  int16s
+    223    WB_RGGBLevelsUnknown23?              int16s[4]
+    227    ColorTempUnknown23?                  int16s
+    228    WB_RGGBLevelsUnknown24?              int16s[4]
+    232    ColorTempUnknown24?                  int16s
+    233    WB_RGGBLevelsUnknown25?              int16s[4]
+    237    ColorTempUnknown25?                  int16s
+    238    WB_RGGBLevelsUnknown26?              int16s[4]
+    242    ColorTempUnknown26?                  int16s
+    243    WB_RGGBLevelsUnknown27?              int16s[4]
+    247    ColorTempUnknown27?                  int16s
+    248    WB_RGGBLevelsUnknown28?              int16s[4]
+    252    ColorTempUnknown28?                  int16s
+    253    WB_RGGBLevelsUnknown29?              int16s[4]
+    257    ColorTempUnknown29?                  int16s
+    258    WB_RGGBLevelsUnknown30?              int16s[4]
+    262    ColorTempUnknown30?                  int16s
+    263    ColorCalib?                          Canon ColorCalib
+    326    AverageBlackLevel                    int16u[4]
+    556    PerChannelBlackLevel                 int16u[4]
+    560    NormalWhiteLevel                     int16u
+    561    SpecularWhiteLevel                   int16u
+    562    LinearityUpperMargin                 int16u
+    778    PerChannelBlackLevel                 int16u[4]
+    782    NormalWhiteLevel                     int16u
+    783    SpecularWhiteLevel                   int16u
+    784    LinearityUpperMargin                 int16u
+
+=head3 Canon ColorData9 Tags
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    ColorDataVersion                     int16s
+     71    WB_RGGBLevelsAsShot                  int16s[4]
+     75    ColorTempAsShot                      int16s
+     76    WB_RGGBLevelsAuto                    int16s[4]
+     80    ColorTempAuto                        int16s
+     81    WB_RGGBLevelsMeasured                int16s[4]
+     85    ColorTempMeasured                    int16s
+     86    WB_RGGBLevelsUnknown?                int16s[4]
+     90    ColorTempUnknown?                    int16s
+     91    WB_RGGBLevelsUnknown2?               int16s[4]
+     95    ColorTempUnknown2?                   int16s
+     96    WB_RGGBLevelsUnknown3?               int16s[4]
+    100    ColorTempUnknown3?                   int16s
+    101    WB_RGGBLevelsUnknown4?               int16s[4]
+    105    ColorTempUnknown4?                   int16s
+    106    WB_RGGBLevelsUnknown5?               int16s[4]
+    110    ColorTempUnknown5?                   int16s
+    111    WB_RGGBLevelsUnknown6?               int16s[4]
+    115    ColorTempUnknown6?                   int16s
+    116    WB_RGGBLevelsUnknown7?               int16s[4]
+    120    ColorTempUnknown7?                   int16s
+    121    WB_RGGBLevelsUnknown8?               int16s[4]
+    125    ColorTempUnknown8?                   int16s
+    126    WB_RGGBLevelsUnknown9?               int16s[4]
+    130    ColorTempUnknown9?                   int16s
+    131    WB_RGGBLevelsUnknown10?              int16s[4]
+    135    ColorTempUnknown10?                  int16s
+    136    WB_RGGBLevelsDaylight                int16s[4]
+    140    ColorTempDaylight                    int16s
+    141    WB_RGGBLevelsShade                   int16s[4]
+    145    ColorTempShade                       int16s
+    146    WB_RGGBLevelsCloudy                  int16s[4]
+    150    ColorTempCloudy                      int16s
+    151    WB_RGGBLevelsTungsten                int16s[4]
+    155    ColorTempTungsten                    int16s
+    156    WB_RGGBLevelsFluorescent             int16s[4]
+    160    ColorTempFluorescent                 int16s
+    161    WB_RGGBLevelsKelvin                  int16s[4]
+    165    ColorTempKelvin                      int16s
+    166    WB_RGGBLevelsFlash                   int16s[4]
+    170    ColorTempFlash                       int16s
+    171    WB_RGGBLevelsUnknown11?              int16s[4]
+    175    ColorTempUnknown11?                  int16s
+    176    WB_RGGBLevelsUnknown12?              int16s[4]
+    180    ColorTempUnknown12?                  int16s
+    181    WB_RGGBLevelsUnknown13?              int16s[4]
+    185    ColorTempUnknown13?                  int16s
+    186    WB_RGGBLevelsUnknown14?              int16s[4]
+    190    ColorTempUnknown14?                  int16s
+    191    WB_RGGBLevelsUnknown15?              int16s[4]
+    195    ColorTempUnknown15?                  int16s
+    196    WB_RGGBLevelsUnknown16?              int16s[4]
+    200    ColorTempUnknown16?                  int16s
+    201    WB_RGGBLevelsUnknown17?              int16s[4]
+    205    ColorTempUnknown17?                  int16s
+    206    WB_RGGBLevelsUnknown18?              int16s[4]
+    210    ColorTempUnknown18?                  int16s
+    211    WB_RGGBLevelsUnknown19?              int16s[4]
+    215    ColorTempUnknown19?                  int16s
+    216    WB_RGGBLevelsUnknown20?              int16s[4]
+    220    ColorTempUnknown20?                  int16s
+    221    WB_RGGBLevelsUnknown21?              int16s[4]
+    225    ColorTempUnknown21?                  int16s
+    226    WB_RGGBLevelsUnknown22?              int16s[4]
+    230    ColorTempUnknown22?                  int16s
+    231    WB_RGGBLevelsUnknown23?              int16s[4]
+    235    ColorTempUnknown23?                  int16s
+    236    WB_RGGBLevelsUnknown24?              int16s[4]
+    240    ColorTempUnknown24?                  int16s
+    241    WB_RGGBLevelsUnknown25?              int16s[4]
+    245    ColorTempUnknown25?                  int16s
+    246    WB_RGGBLevelsUnknown26?              int16s[4]
+    250    ColorTempUnknown26?                  int16s
+    251    WB_RGGBLevelsUnknown27?              int16s[4]
+    255    ColorTempUnknown27?                  int16s
+    256    WB_RGGBLevelsUnknown28?              int16s[4]
+    260    ColorTempUnknown28?                  int16s
+    261    WB_RGGBLevelsUnknown29?              int16s[4]
+    265    ColorTempUnknown29?                  int16s
+    266    ColorCalib?                          Canon ColorCalib
+    329    PerChannelBlackLevel                 int16u[4]
+    796    NormalWhiteLevel                     int16u
+    797    SpecularWhiteLevel                   int16u
+    798    LinearityUpperMargin                 int16u
+
+=head3 Canon ColorData10 Tags
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    ColorDataVersion                     int16s
+     85    WB_RGGBLevelsAsShot                  int16s[4]
+     89    ColorTempAsShot                      int16s
+     90    WB_RGGBLevelsAuto                    int16s[4]
+     94    ColorTempAuto                        int16s
+     95    WB_RGGBLevelsMeasured                int16s[4]
+     99    ColorTempMeasured                    int16s
+    100    WB_RGGBLevelsUnknown?                int16s[4]
+    104    ColorTempUnknown?                    int16s
+    105    WB_RGGBLevelsUnknown2?               int16s[4]
+    109    ColorTempUnknown2?                   int16s
+    110    WB_RGGBLevelsUnknown3?               int16s[4]
+    114    ColorTempUnknown3?                   int16s
+    115    WB_RGGBLevelsUnknown4?               int16s[4]
+    119    ColorTempUnknown4?                   int16s
+    120    WB_RGGBLevelsUnknown5?               int16s[4]
+    124    ColorTempUnknown5?                   int16s
+    125    WB_RGGBLevelsUnknown6?               int16s[4]
+    129    ColorTempUnknown6?                   int16s
+    130    WB_RGGBLevelsUnknown7?               int16s[4]
+    134    ColorTempUnknown7?                   int16s
+    135    WB_RGGBLevelsUnknown8?               int16s[4]
+    139    ColorTempUnknown8?                   int16s
+    140    WB_RGGBLevelsUnknown9?               int16s[4]
+    144    ColorTempUnknown9?                   int16s
+    145    WB_RGGBLevelsUnknown10?              int16s[4]
+    149    ColorTempUnknown10?                  int16s
+    150    WB_RGGBLevelsDaylight                int16s[4]
+    154    ColorTempDaylight                    int16s
+    155    WB_RGGBLevelsShade                   int16s[4]
+    159    ColorTempShade                       int16s
+    160    WB_RGGBLevelsCloudy                  int16s[4]
+    164    ColorTempCloudy                      int16s
+    165    WB_RGGBLevelsTungsten                int16s[4]
+    169    ColorTempTungsten                    int16s
+    170    WB_RGGBLevelsFluorescent             int16s[4]
+    174    ColorTempFluorescent                 int16s
+    175    WB_RGGBLevelsKelvin                  int16s[4]
+    179    ColorTempKelvin                      int16s
+    180    WB_RGGBLevelsFlash                   int16s[4]
+    184    ColorTempFlash                       int16s
+    185    WB_RGGBLevelsUnknown11?              int16s[4]
+    189    ColorTempUnknown11?                  int16s
+    190    WB_RGGBLevelsUnknown12?              int16s[4]
+    194    ColorTempUnknown12?                  int16s
+    195    WB_RGGBLevelsUnknown13?              int16s[4]
+    199    ColorTempUnknown13?                  int16s
+    200    WB_RGGBLevelsUnknown14?              int16s[4]
+    204    ColorTempUnknown14?                  int16s
+    205    WB_RGGBLevelsUnknown15?              int16s[4]
+    209    ColorTempUnknown15?                  int16s
+    210    WB_RGGBLevelsUnknown16?              int16s[4]
+    214    ColorTempUnknown16?                  int16s
+    215    WB_RGGBLevelsUnknown17?              int16s[4]
+    219    ColorTempUnknown17?                  int16s
+    220    WB_RGGBLevelsUnknown18?              int16s[4]
+    224    ColorTempUnknown18?                  int16s
+    225    WB_RGGBLevelsUnknown19?              int16s[4]
+    229    ColorTempUnknown19?                  int16s
+    230    WB_RGGBLevelsUnknown20?              int16s[4]
+    234    ColorTempUnknown20?                  int16s
+    235    WB_RGGBLevelsUnknown21?              int16s[4]
+    239    ColorTempUnknown21?                  int16s
+    240    WB_RGGBLevelsUnknown22?              int16s[4]
+    244    ColorTempUnknown22?                  int16s
+    245    WB_RGGBLevelsUnknown23?              int16s[4]
+    249    ColorTempUnknown23?                  int16s
+    250    WB_RGGBLevelsUnknown24?              int16s[4]
+    254    ColorTempUnknown24?                  int16s
+    255    WB_RGGBLevelsUnknown25?              int16s[4]
+    259    ColorTempUnknown25?                  int16s
+    260    WB_RGGBLevelsUnknown26?              int16s[4]
+    264    ColorTempUnknown26?                  int16s
+    265    WB_RGGBLevelsUnknown27?              int16s[4]
+    269    ColorTempUnknown27?                  int16s
+    270    WB_RGGBLevelsUnknown28?              int16s[4]
+    274    ColorTempUnknown28?                  int16s
+    275    WB_RGGBLevelsUnknown29?              int16s[4]
+    279    ColorTempUnknown29?                  int16s
+    280    ColorCalib?                          Canon ColorCalib
+    343    PerChannelBlackLevel                 int16u[4]
+    810    NormalWhiteLevel                     int16u
+    811    SpecularWhiteLevel                   int16u
+    812    LinearityUpperMargin                 int16u
 
 =head3 Canon ColorDataUnknown Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-  [no tags known]
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    ColorDataVersion                     no
 
 =head3 Canon ColorInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       1    Saturation                           int16s
       2    ColorTone                            int16s
@@ -4707,26 +8218,40 @@
 =head3 Canon AFMicroAdj Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      1    AFMicroAdjActive                     int32s
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      1    AFMicroAdjMode                       int32s
       2    AFMicroAdjValue                      rational64s
 
 =head3 Canon VignettingCorr Tags
 
-This information is found in images from the 1DmkIV, 5DmkII, 7D, 50D, 500D
-and 550D.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+This information is found in images from newer EOS models.
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    VignettingCorrVersion                no
       2    PeripheralLighting                   int16s
+      3    DistortionCorrection                 int16s
+      4    ChromaticAberrationCorr              int16s
+      5    ChromaticAberrationCorr              int16s
       6    PeripheralLightingValue              int16s
+      9    DistortionCorrectionValue            int16s
      11    OriginalImageWidth                   int16s
      12    OriginalImageHeight                  int16s
 
+=head3 Canon VignettingCorrUnknown Tags
+
+Vignetting correction from PowerShot models.
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    VignettingCorrVersion                no
+
 =head3 Canon VignettingCorr2 Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
       5    PeripheralLightingSetting            int32s
+      6    ChromaticAberrationSetting           int32s
+      7    DistortionCorrectionSetting          int32s
 
 =head3 Canon LightingOpt Tags
@@ -4734,20 +8259,32 @@
 This information is new in images from the EOS 7D.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      1    PeripheralIlluminationCorr           int32s
       2    AutoLightingOptimizer                int32s
+      3    HighlightTonePriority                int32s
+      4    LongExposureNoiseReduction           int32s
+      5    HighISONoiseReduction                int32s
 
 =head3 Canon LensInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    LensSerialNumber                     undef[5]
 
 =head3 Canon Ambience Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
       1    AmbienceSelection                    int32s
 
+=head3 Canon MultiExp Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      1    MultiExposure                        int32s
+      2    MultiExposureControl                 int32s
+      3    MultiExposureShots                   int32s
+
 =head3 Canon FilterInfo Tags
 
@@ -4756,19 +8293,159 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  0x0101   GrainyBWFilter                       N
-  0x0201   SoftFocusFilter                      N
-  0x0301   ToyCameraFilter                      N
-  0x0401   MiniatureFilter                      N
-  0x0402   MiniatureFilterOrientation           N
-  0x0403   MiniatureFilterPosition              N
+  0x0101   GrainyBWFilter                       no
+  0x0201   SoftFocusFilter                      no
+  0x0301   ToyCameraFilter                      no
+  0x0401   MiniatureFilter                      no
+  0x0402   MiniatureFilterOrientation           no
+  0x0403   MiniatureFilterPosition              no
+  0x0404   MiniatureFilterParameter             no
+  0x0501   FisheyeFilter                        no
+  0x0601   PaintingFilter                       no
+  0x0701   WatercolorFilter                     no
+
+=head3 Canon HDRInfo Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      1    HDR                                  int32s
+      2    HDREffect                            int32s
+
+=head3 Canon AFConfig Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      1    AFConfigTool                         int32s
+      2    AFTrackingSensitivity                int32s
+      3    AFAccelDecelTracking                 int32s
+      4    AFPointSwitching                     int32s
+      5    AIServoFirstImage                    int32s
+      6    AIServoSecondImage                   int32s
+      7    USMLensElectronicMF                  int32s
+      8    AFAssistBeam                         int32s
+      9    OneShotAFRelease                     int32s
+     10    AutoAFPointSelEOSiTRAF               int32s
+     11    LensDriveWhenAFImpossible            int32s
+     12    SelectAFAreaSelectionMode            int32s
+     13    AFAreaSelectionMethod                int32s
+     14    OrientationLinkedAF                  int32s
+     15    ManualAFPointSelPattern              int32s
+     16    AFPointDisplayDuringFocus            int32s
+     17    VFDisplayIllumination                int32s
+     18    AFStatusViewfinder                   int32s
+     19    InitialAFPointInServo                int32s
+
+=head3 Canon RawBurstInfo Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      1    RawBurstImageNum                     int32u
+      2    RawBurstImageCount                   int32u
+
+=head3 Canon CTMD Tags
+
+Canon Timed MetaData tags found in CR3 images.  The ExtractEmbedded option
+is automatically applied when reading CR3 files to be able to extract this
+information.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0001   TimeStamp                            no
+  0x0004   FocalInfo                            Canon FocalInfo
+  0x0005   ExposureInfo                         Canon ExposureInfo
+  0x0007   ExifInfo7                            Canon ExifInfo
+  0x0008   ExifInfo8                            Canon ExifInfo
+  0x0009   ExifInfo9                            Canon ExifInfo
+
+=head3 Canon FocalInfo Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    FocalLength                          no
+
+=head3 Canon ExposureInfo Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    FNumber                              no
+      1    ExposureTime                         no
+      2    ISO                                  no
+
+=head3 Canon ExifInfo Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x8769   ExifIFD                              EXIF
+  0x927c   MakerNoteCanon                       Canon
+
+=head3 Canon CDI1 Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'IAD1'   IAD1                                 Canon IAD1
+
+=head3 Canon IAD1 Tags
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+  [no tags known]
+
+=head3 Canon CMP1 Tags
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      8    ImageWidth                           no
+     10    ImageHeight                          no
+
+=head3 Canon CNOP Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  [no tags known]
 
 =head3 Canon CNTH Tags
 
-Canon-specific QuickTime tags found in the CNTH atom of MOV videos from some
-cameras such as the PowerShot S95.
+Canon-specific QuickTime tags found in the CNTH atom of MOV/MP4 videos from
+some cameras.
 
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  'CNDA'   ThumbnailImage                       N
+  'CNDA'   ThumbnailImage                       undef
+
+=head3 Canon uuid Tags
+
+Tags extracted from the uuid atom of MP4 videos from cameras such as the
+SX280, and CR3 images from cameras such as the EOS M50.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'CCTP'   CanonCCTP                            Canon CCTP
+  'CMT1'   IFD0                                 EXIF
+  'CMT2'   ExifIFD                              EXIF
+  'CMT3'   MakerNoteCanon                       Canon
+  'CMT4'   GPSInfo                              GPS
+  'CNCV'   CompressorVersion                    no
+  'CNOP'   CanonCNOP                            Canon CNOP
+  'CNTH'   CanonCNTH                            Canon CNTH
+  'THMB'   ThumbnailImage                       no
+
+=head3 Canon CCTP Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  [no tags known]
+
+=head3 Canon Skip Tags
+
+Information found in the "skip" atom of Canon MOV videos.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'CNDB'   Unknown_CNDB?                        no
+
+=head3 Canon uuid2 Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'CNOP'   CanonVRD                             CanonVRD
 
 =head2 CanonCustom Tags
